org.apache.poi.common.usermodel.fonts

## Enum FontHeader.PanoseMidLine

- java.lang.Object
- - java.lang.Enum<FontHeader.PanoseMidLine>
  - - org.apache.poi.common.usermodel.fonts.FontHeader.PanoseMidLine

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<FontHeader.PanoseMidLine>
  Enclosing class:
    FontHeader

      public static enum FontHeader.PanoseMidLine
      extends java.lang.Enum<FontHeader.PanoseMidLine>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ANY`
    `CONSTANT_POINTED`
    `CONSTANT_SERIFED`
    `CONSTANT_TRIMMED`
    `HIGH_POINTED`
    `HIGH_SERIFED`
    `HIGH_TRIMMED`
    `LOW_POINTED`
    `LOW_SERIFED`
    `LOW_TRIMMED`
    `NO_FIT`
    `STANDARD_POINTED`
    `STANDARD_SERIFED`
    `STANDARD_TRIMMED`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FontHeader.PanoseMidLine` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static FontHeader.PanoseMidLine[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ANY

          public static final FontHeader.PanoseMidLine ANY

    - #### NO_FIT

          public static final FontHeader.PanoseMidLine NO_FIT

    - #### STANDARD_TRIMMED

          public static final FontHeader.PanoseMidLine STANDARD_TRIMMED

    - #### STANDARD_POINTED

          public static final FontHeader.PanoseMidLine STANDARD_POINTED

    - #### STANDARD_SERIFED

          public static final FontHeader.PanoseMidLine STANDARD_SERIFED

    - #### HIGH_TRIMMED

          public static final FontHeader.PanoseMidLine HIGH_TRIMMED

    - #### HIGH_POINTED

          public static final FontHeader.PanoseMidLine HIGH_POINTED

    - #### HIGH_SERIFED

          public static final FontHeader.PanoseMidLine HIGH_SERIFED

    - #### CONSTANT_TRIMMED

          public static final FontHeader.PanoseMidLine CONSTANT_TRIMMED

    - #### CONSTANT_POINTED

          public static final FontHeader.PanoseMidLine CONSTANT_POINTED

    - #### CONSTANT_SERIFED

          public static final FontHeader.PanoseMidLine CONSTANT_SERIFED

    - #### LOW_TRIMMED

          public static final FontHeader.PanoseMidLine LOW_TRIMMED

    - #### LOW_POINTED

          public static final FontHeader.PanoseMidLine LOW_POINTED

    - #### LOW_SERIFED

          public static final FontHeader.PanoseMidLine LOW_SERIFED

  - ### Method Detail

    - #### values

          public static FontHeader.PanoseMidLine[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FontHeader.PanoseMidLine c : FontHeader.PanoseMidLine.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FontHeader.PanoseMidLine valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.